/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Juha Ristolainen <juha.ristolainen@codemancers.fi>
 *              Nick Leppänen Larsson <frals@frals.se>
 */

import QtQuick 2.0
import Ubuntu.Components 0.1

// FIXME: Replace Rectangle with UbuntuShape when the new widget lands in the Ubuntu SDK.
Rectangle {
    id: clockRoot

    property alias innerCircle: innerCircle;

    width: units.gu(32); height: units.gu(32)
    radius: width / 2
    antialiasing: true
    color: "#623448"

    // FIXME: Replace this with UbuntuShape when the widget has landed in the SDK.
    Rectangle {
        id: innerCircle;

        z: parent.z + 2;
        height: units.gu(19); width: units.gu(19);
        radius: width / 2;
        anchors.centerIn: parent;
        color: "#7A4360"
        antialiasing: true;
    }
}
